Qt Utilities: QtUtilities::QtSettingsData Struct Reference

Qt Utilities 6.21.2 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
QtUtilities::QtSettingsData Struct Reference

## Public Member Functions
| QtSettingsData ()

## Public Attributes
QFont | font
std::optional< QFont > | initialFont
QPalette | palette
QPalette | selectedPalette
QString | iconTheme
QString | initialIconTheme
QLocale | defaultLocale
QLocale | previousLocale
QString | localeName
QString | previousPluginDirectory
QString | additionalPluginDirectory
QString | previousIconThemeSearchPath
QString | additionalIconThemeSearchPath
bool | customFont
bool | customPalette
bool | customIconTheme
bool | customLocale
bool | isPaletteDark

## Detailed Description

Definition at line 54 of file qtsettings.cpp.

## Constructor & Destructor Documentation

## ◆ QtSettingsData()

QtUtilities::QtSettingsData::QtSettingsData | ( |  | ) |
| inline

Definition at line 90 of file qtsettings.cpp.

## Member Data Documentation

## ◆ additionalIconThemeSearchPath

QString QtUtilities::QtSettingsData::additionalIconThemeSearchPath

Definition at line 74 of file qtsettings.cpp.

## ◆ additionalPluginDirectory

QString QtUtilities::QtSettingsData::additionalPluginDirectory

Definition at line 72 of file qtsettings.cpp.

## ◆ customFont

bool QtUtilities::QtSettingsData::customFont

Definition at line 75 of file qtsettings.cpp.

## ◆ customIconTheme

bool QtUtilities::QtSettingsData::customIconTheme

Definition at line 81 of file qtsettings.cpp.

## ◆ customLocale

bool QtUtilities::QtSettingsData::customLocale

Definition at line 82 of file qtsettings.cpp.

## ◆ customPalette

bool QtUtilities::QtSettingsData::customPalette

Definition at line 76 of file qtsettings.cpp.

## ◆ defaultLocale

QLocale QtUtilities::QtSettingsData::defaultLocale

Definition at line 68 of file qtsettings.cpp.

## ◆ font

QFont QtUtilities::QtSettingsData::font

Definition at line 57 of file qtsettings.cpp.

## ◆ iconTheme

QString QtUtilities::QtSettingsData::iconTheme

Definition at line 66 of file qtsettings.cpp.

## ◆ initialFont

std::optional<QFont> QtUtilities::QtSettingsData::initialFont

Definition at line 58 of file qtsettings.cpp.

## ◆ initialIconTheme

QString QtUtilities::QtSettingsData::initialIconTheme

Definition at line 67 of file qtsettings.cpp.

## ◆ isPaletteDark

bool QtUtilities::QtSettingsData::isPaletteDark

Definition at line 83 of file qtsettings.cpp.

## ◆ localeName

QString QtUtilities::QtSettingsData::localeName

Definition at line 70 of file qtsettings.cpp.

## ◆ palette

QPalette QtUtilities::QtSettingsData::palette

Definition at line 59 of file qtsettings.cpp.

## ◆ previousIconThemeSearchPath

QString QtUtilities::QtSettingsData::previousIconThemeSearchPath

Definition at line 73 of file qtsettings.cpp.

## ◆ previousLocale

QLocale QtUtilities::QtSettingsData::previousLocale

Definition at line 69 of file qtsettings.cpp.

## ◆ previousPluginDirectory

QString QtUtilities::QtSettingsData::previousPluginDirectory

Definition at line 71 of file qtsettings.cpp.

## ◆ selectedPalette

QPalette QtUtilities::QtSettingsData::selectedPalette

Definition at line 60 of file qtsettings.cpp.

The documentation for this struct was generated from the following file:

- settingsdialog/qtsettings.cpp